package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * NoscaleWtgDaEfPeriodData对象 noscale_wtg_da_ef_period_data
 *
 * @author hlf
 * @date 2021-08-11
 */
public class NoscaleWtgDaEfPeriodData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long wtgNo;

    private Long modelNo;

    private Date dataTime;

    private Double value;

    private Long dataFlag;

    public void setWtgNo(Long wtgNo) {
        this.wtgNo = wtgNo;
    }

    public Long getWtgNo() {
        return wtgNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setValue(Double value) {
        this.value = value;
    }

    public Double getValue() {
        return value;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    private Long windplantNo;

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("wtgNo", getWtgNo())
                .append("modelNo", getModelNo())
                .append("dataTime", getDataTime())
                .append("value", getValue())
                .append("dataFlag", getDataFlag())
                .toString();
    }
}
